## ddcutil 0.8.6

=== src/cython/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# src/cython/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ddcutil
pkgincludedir = $(includedir)/ddcutil
pkglibdir = $(libdir)/ddcutil
pkglibexecdir = $(libexecdir)/ddcutil
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/cython
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_path_python3.m4 \
	$(top_srcdir)/m4/ax_pkg_swig.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/ax_python_env.m4 \
	$(top_srcdir)/m4/flm_prog_try_doxygen.m4 \
	$(top_srcdir)/m4/introspection.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(py3execdir)" "$(DESTDIR)$(pyexecdir)"
LTLIBRARIES = $(py3exec_LTLIBRARIES) $(pyexec_LTLIBRARIES)
cyddc2_la_DEPENDENCIES = ../libcommon.la \
	../libddcutil.la
nodist_cyddc2_la_OBJECTS = cyddc2_la-cyddc2.lo
cyddc2_la_OBJECTS = $(nodist_cyddc2_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
cyddc2_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(cyddc2_la_CFLAGS) \
	$(CFLAGS) $(cyddc2_la_LDFLAGS) $(LDFLAGS) -o $@
am_cyddc2_la_rpath = -rpath $(pyexecdir)
cyddc3_la_DEPENDENCIES = ../libcommon.la \
	../libddcutil.la
nodist_cyddc3_la_OBJECTS = cyddc3_la-cyddc3.lo
cyddc3_la_OBJECTS = $(nodist_cyddc3_la_OBJECTS)
cyddc3_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(cyddc3_la_CFLAGS) \
	$(CFLAGS) $(cyddc3_la_LDFLAGS) $(LDFLAGS) -o $@
am_cyddc3_la_rpath = -rpath $(py3execdir)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(nodist_cyddc2_la_SOURCES) $(nodist_cyddc3_la_SOURCES)
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.15
ADL_HEADER_DIR = /shared/playproj/i2c/adl_sdk_headers
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /shared/playproj/i2c/config/missing autoconf
AUTOHEADER = ${SHELL} /shared/playproj/i2c/config/missing autoheader
AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DBG = 
DEBIAN_DISTRIBUTION = xenial
DEBIAN_RELEASE = 1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOCBASE_INSTALL_DOCS = install-docs
DOXYGEN = 
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DUMPBIN = 
DX_CONFIG = 
DX_DOCDIR = 
DX_DOT = 
DX_DOXYGEN = 
DX_DVIPS = 
DX_EGREP = 
DX_ENV = 
DX_FLAG_chi = 
DX_FLAG_chm = 
DX_FLAG_doc = 
DX_FLAG_dot = 
DX_FLAG_html = 
DX_FLAG_man = 
DX_FLAG_pdf = 
DX_FLAG_ps = 
DX_FLAG_rtf = 
DX_FLAG_xml = 
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = 
DX_PROJECT = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_SHARED_LIB_FLAG = 1
ENABLE_USB_FLAG = 1
EXEEXT = 
FGREP = /bin/grep -F
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
GLIB_LIBS = -lglib-2.0
GOBJECT_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
GOBJECT_LIBS = -lgobject-2.0 -lglib-2.0
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib/x86_64-linux-gnu/girepository-1.0
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDRM_CFLAGS = -I/usr/include/libdrm
LIBDRM_LIBS = -ldrm
LIBOBJS = 
LIBS = -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB_LIBS = -lusb-1.0
LIBX11_CFLAGS = 
LIBX11_LIBS = -lX11
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ddcutil
PACKAGE_BUGREPORT = rockowitz@minsoft.com
PACKAGE_NAME = ddcutil
PACKAGE_STRING = ddcutil 0.8.6
PACKAGE_TARNAME = ddcutil
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.6
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PY2_CFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7
PY2_EXECDIR = /usr/lib/python2.7/dist-packages
PY2_EXTRA_LDFLAGS = -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
PY2_EXTRA_LIBS = -lpthread -ldl  -lutil -lm
PY2_LIBS = -lpython2.7
PY3_CFLAGS = -I/usr/include/python3.6m -I/usr/include/x86_64-linux-gnu/python3.6m
PY3_EXECDIR = /usr/lib/python3/dist-packages
PY3_EXTRA_LDFLAGS = -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
PY3_EXTRA_LIBS = -lpthread -ldl  -lutil -lm
PY3_LIBS = -lpython3.6m
PYEXECDIR = ${exec_prefix}/lib/python2.7/dist-packages
PYTHON = /usr/bin/python
PYTHON3 = /usr/bin/python3
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_PLATFORM = linux
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.6
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
REQUIRED_PACKAGES =  glib-2.0 >= 2.32 xrandr x11
SED = /bin/sed
SET_MAKE =

=== debian/changelog ===
ddcutil (0.8.6-1) unstable; urgency=low

  * New upstream release. (Closes: #887770)
  * debian/control
    - Suggests: i2ctools changed to Depends:
    - Standards-Version incremented to 4.1.3

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 19 Jan 2018 14:00:00 -0400

ddcutil (0.8.5-1) unstable; urgency=low

  * New upstream release. (Closes: #881996)
  * debian/control
    - Dependency on libglib2.0-dev incremented to version 2.32
    - Standards-Version incremented to 4.1.1

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 17 Nov 2017 14:00:00 -0400

ddcutil (0.8.4-1) unstable; urgency=low

  * Initial release. (Closes: #858510)

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 31 Aug 2017 14:00:00 -0400

=== debian/control ===
Source: ddcutil
Priority: optional
Section: utils
Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
Build-Depends: debhelper (>= 10),
               pkg-config,
               libc6-dev (>= 2.17),
               libdrm-dev,
               libglib2.0-dev (>= 2.32),
               libudev-dev,
               libusb-1.0-0-dev,
               libxrandr-dev
Standards-Version: 4.1.3
Homepage: http://www.ddcutil.com

Package: ddcutil
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         i2c-tools
Description: Control monitor settings
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the 
 USB Monitor Control Class Specification.
 .
 A particular use case for ddcutil is as part of color profile management.
 Monitor calibration is relative to the monitor color settings currently in
 effect,  e.g. red  gain.  ddcutil allows color related settings to be saved
 at the time a monitor is calibrated, and then restored when the calibration 
 is applied.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@


override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

# override_dh_auto_install:
# 	dh_auto_install
	# @echo "Deleting license file debian/ddcutil/usr/share/doc/ddcutil/COPYING, per Debian policy"
	# rm -fv debian/ddcutil/usr/share/doc/ddcutil/COPYING
	# @echo "Renaming ChangeLog file to changelog, per Debian policy"
	# echo disabled: mv     debian/ddcutil/usr/share/doc/ddcutil/ChangeLog debian/ddcutil/usr/share/doc/ddcutil/changelog

override_dh_auto_configure:
	dh_auto_configure -- --enable-lib=no --enable-drm=yes --enable-usb=yes

=== debian/watch ===
# Watch control file for uscan

version=3

# Use rockowitz.github.io instead of www.ddcutil.com because github doesn't
# support https for custom domain names.

https://rockowitz.github.io/releases/index .*/ddcutil-(.*)\.tar\.gz

## ddcutil 0.9.1

=== src/cython/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15 from Makefile.am.
+# Makefile.in generated by automake 1.15.1 from Makefile.am.
 # src/cython/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2014 Free Software Foundation, Inc.
+# Copyright (C) 1994-2017 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -135,9 +135,9 @@
   }
 am__installdirs = "$(DESTDIR)$(py3execdir)" "$(DESTDIR)$(pyexecdir)"
 LTLIBRARIES = $(py3exec_LTLIBRARIES) $(pyexec_LTLIBRARIES)
-cyddc2_la_DEPENDENCIES = ../libcommon.la \
-	../libddcutil.la
-nodist_cyddc2_la_OBJECTS = cyddc2_la-cyddc2.lo
+#cyddc2_la_DEPENDENCIES = ../libcommon.la \
+#	../libddcutil.la
+#nodist_cyddc2_la_OBJECTS = cyddc2_la-cyddc2.lo
 cyddc2_la_OBJECTS = $(nodist_cyddc2_la_OBJECTS)
 AM_V_lt = $(am__v_lt_$(V))
 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
@@ -146,15 +146,15 @@
 cyddc2_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(cyddc2_la_CFLAGS) \
 	$(CFLAGS) $(cyddc2_la_LDFLAGS) $(LDFLAGS) -o $@
-am_cyddc2_la_rpath = -rpath $(pyexecdir)
-cyddc3_la_DEPENDENCIES = ../libcommon.la \
-	../libddcutil.la
-nodist_cyddc3_la_OBJECTS = cyddc3_la-cyddc3.lo
+#am_cyddc2_la_rpath = -rpath $(pyexecdir)
+#cyddc3_la_DEPENDENCIES = ../libcommon.la \
+#	../libddcutil.la
+#nodist_cyddc3_la_OBJECTS = cyddc3_la-cyddc3.lo
 cyddc3_la_OBJECTS = $(nodist_cyddc3_la_OBJECTS)
 cyddc3_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(cyddc3_la_CFLAGS) \
 	$(CFLAGS) $(cyddc3_la_LDFLAGS) $(LDFLAGS) -o $@
-am_cyddc3_la_rpath = -rpath $(py3execdir)
+#am_cyddc3_la_rpath = -rpath $(py3execdir)
 AM_V_P = $(am__v_P_$(V))
 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
 am__v_P_0 = false
@@ -218,7 +218,7 @@
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.15
-ADL_HEADER_DIR = /shared/playproj/i2c/adl_sdk_headers
+ADL_HEADER_DIR = 
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
@@ -226,10 +226,10 @@
 AUTOHEADER = ${SHELL} /shared/playproj/i2c/config/missing autoheader
 AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.15
 AWK = gawk
-CC = gcc
+CC = /usr/bin/../libexec/ccc-analyzer
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = gcc -E
+CPP = /usr/bin/../libexec/ccc-analyzer -E
 CPPFLAGS = 
 CYGPATH_W = echo
 DBG = 
@@ -238,7 +238,7 @@
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = false
-DOCBASE_INSTALL_DOCS = install-docs
+DOCBASE_INSTALL_DOCS = 
 DOXYGEN = 
 DOXYGEN_PAPER_SIZE = 
 DSYMUTIL = 
@@ -269,41 +269,41 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
 ENABLE_SHARED_LIB_FLAG = 1
 ENABLE_USB_FLAG = 1
 EXEEXT = 
-FGREP = /bin/grep -F
-GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
-GLIB_LIBS = -lglib-2.0
-GOBJECT_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
-GOBJECT_LIBS = -lgobject-2.0 -lglib-2.0
-GREP = /bin/grep
+FGREP = /usr/bin/grep -F
+GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include 
+GLIB_LIBS = -lglib-2.0 
+GOBJECT_CFLAGS = 
+GOBJECT_LIBS = 
+GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
+INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread 
 INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
 INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
 INTROSPECTION_GIRDIR = /usr/share/gir-1.0
-INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
+INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0 
 INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
 INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
-INTROSPECTION_TYPELIBDIR = /usr/lib/x86_64-linux-gnu/girepository-1.0
+INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
-LIBDRM_CFLAGS = -I/usr/include/libdrm
-LIBDRM_LIBS = -ldrm
+LIBDRM_CFLAGS = -I/usr/include/libdrm 
+LIBDRM_LIBS = -ldrm 
 LIBOBJS = 
 LIBS = -ldl 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBTOOL_DEPS = config/ltmain.sh
-LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
-LIBUSB_LIBS = -lusb-1.0
+LIBUSB_CFLAGS = -I/usr/include/libusb-1.0 
+LIBUSB_LIBS = -lusb-1.0 
 LIBX11_CFLAGS = 
-LIBX11_LIBS = -lX11
+LIBX11_LIBS = -lX11 
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
@@ -313,7 +313,7 @@
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -323,36 +323,62 @@
 PACKAGE = ddcutil
 PACKAGE_BUGREPORT = rockowitz@minsoft.com
 PACKAGE_NAME = ddcutil
-PACKAGE_STRING = ddcutil 0.8.6
+PACKAGE_STRING = ddcutil 0.9.1
 PACKAGE_TARNAME = ddcutil
 PACKAGE_URL = 
-PACKAGE_VERSION = 0.8.6
+PACKAGE_VERSION = 0.9.1
+PACKAGE_VMAJOR = 0
+PACKAGE_VMICRO = 1
+PACKAGE_VMINOR = 9
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
-PY2_CFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7
-PY2_EXECDIR = /usr/lib/python2.7/dist-packages
-PY2_EXTRA_LDFLAGS = -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
-PY2_EXTRA_LIBS = -lpthread -ldl  -lutil -lm
-PY2_LIBS = -lpython2.7
-PY3_CFLAGS = -I/usr/include/python3.6m -I/usr/include/x86_64-linux-gnu/python3.6m
-PY3_EXECDIR = /usr/lib/python3/dist-packages
-PY3_EXTRA_LDFLAGS = -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
-PY3_EXTRA_LIBS = -lpthread -ldl  -lutil -lm
-PY3_LIBS = -lpython3.6m
-PYEXECDIR = ${exec_prefix}/lib/python2.7/dist-packages
-PYTHON = /usr/bin/python
-PYTHON3 = /usr/bin/python3
-PYTHON3_EXEC_PREFIX = ${exec_prefix}
-PYTHON3_PLATFORM = linux
-PYTHON3_PREFIX = ${prefix}
-PYTHON3_VERSION = 3.6
-PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_PLATFORM = linux2
-PYTHON_PREFIX = ${prefix}
-PYTHON_VERSION = 2.7
+PY2_CFLAGS = 
+PY2_EXECDIR = 
+PY2_EXTRA_LDFLAGS = 
+PY2_EXTRA_LIBS = 
+PY2_LIBS = 
+PY3_CFLAGS = 
+PY3_EXECDIR = 
+PY3_EXTRA_LDFLAGS = 
+PY3_EXTRA_LIBS = 
+PY3_LIBS = 
+PYEXECDIR = 
+PYTHON = 
+PYTHON3 = 
+PYTHON3_EXEC_PREFIX = 
+PYTHON3_PLATFORM = 
+PYTHON3_PREFIX = 
+PYTHON3_VERSION = 
+PYTHON_EXEC_PREFIX = 
+PYTHON_PLATFORM = 
+PYTHON_PREFIX = 
+PYTHON_VERSION = 
 RANLIB = ranlib
 REQUIRED_PACKAGES =  glib-2.0 >= 2.32 xrandr x11
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
+SHELL = /bin/bash
+STRIP = strip
+SWIG = 
+SWIG_LIB = 
+UDEV_CFLAGS = 
+UDEV_LIBS = -ludev 
+VERSION = 0.9.1
+XRANDR_CFLAGS = 
+XRANDR_LIBS = -lXrandr 
+ZLIB_CFLAGS = 
+ZLIB_LIBS = -lz 
+abs_builddir = /shared/playproj/i2c/src/cython
+abs_srcdir = /shared/playproj/i2c/src/cython
+abs_top_builddir = /shared/playproj/i2c
+abs_top_srcdir = /shared/playproj/i2c
+ac_ct_AR = ar
+ac_ct_CC = /usr/bin/../libexec/ccc-analyzer
+ac_ct_DUMPBIN = 
+am__include = include
+am__leading_dot = .
+am__quote = 
+am__tar = $${TAR-tar} chof - "$$tardir"
+am__untar = $${TAR-tar} xf -

=== debian/changelog ===
ddcutil (0.9.1-1) unstable; urgency=low

  * New upstream release. (Closes: #900295)
  * debian/compat
    - compatibility level incremented to 11
  * debian/control
    - Standards-Version incremented to 4.1.4
  * debian/upstream/metadata file
    - new file

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 04 Jun 2018 21:00:00 -0400

=== debian/control ===
Source: ddcutil
Priority: optional
Section: utils
Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
Build-Depends: debhelper (>= 11),
               pkg-config,
               libc6-dev (>= 2.17),
               libdrm-dev,
               libglib2.0-dev (>= 2.32),
               libudev-dev,
               libusb-1.0-0-dev,
               libxrandr-dev
Standards-Version: 4.1.4
Homepage: http://www.ddcutil.com

Package: ddcutil
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         i2c-tools
Description: Control monitor settings
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.
 .
 A particular use case for ddcutil is as part of color profile management.
 Monitor calibration is relative to the monitor color settings currently in
 effect,  e.g. red  gain.  ddcutil allows color related settings to be saved
 at the time a monitor is calibrated, and then restored when the calibration
 is applied.

## ddcutil 0.9.2

=== debian/changelog ===
ddcutil (0.9.2-1) unstable; urgency=low

  * New upstream release. (Closes: #907735)
  * debian/control
    - Standards-Version incremented to 4.2.1

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 01 Sep 2018 05:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libudev-dev,
                libusb-1.0-0-dev,
                libxrandr-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://www.ddcutil.com
 
 Package: ddcutil

## ddcutil 0.9.4%2Bdeepin

=== debian/changelog ===
ddcutil (0.9.4+deepin-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: a5f053dcbcf9c4ee3b96b7e5c2c26c6fc4d93af0']

 -- shuttle <shuttle@deepin.com>  Thu, 02 Jul 2020 14:38:05 +0000

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	# echo disabled: mv     debian/ddcutil/usr/share/doc/ddcutil/ChangeLog debian/ddcutil/usr/share/doc/ddcutil/changelog
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-lib=no --enable-drm=yes --enable-usb=yes
+	dh_auto_configure -- --enable-lib=yes --enable-drm=yes --enable-usb=yes

## ddcutil 0.9.8

=== src/cython/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.1 from Makefile.am.
 # src/cython/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2017 Free Software Foundation, Inc.
+# Copyright (C) 1994-2018 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -169,7 +169,9 @@
 am__v_at_1 = 
 DEFAULT_INCLUDES = -I. -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
-am__depfiles_maybe = depfiles
+am__maybe_remake_depfiles = depfiles
+am__depfiles_remade = ./$(DEPDIR)/cyddc2_la-cyddc2.Plo \
+	./$(DEPDIR)/cyddc3_la-cyddc3.Plo
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
@@ -217,28 +219,26 @@
 CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.15
+ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.16
 ADL_HEADER_DIR = 
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
 AUTOCONF = ${SHELL} /shared/playproj/i2c/config/missing autoconf
 AUTOHEADER = ${SHELL} /shared/playproj/i2c/config/missing autoheader
-AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.15
+AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.16
 AWK = gawk
-CC = /usr/bin/../libexec/ccc-analyzer
+CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = /usr/bin/../libexec/ccc-analyzer -E
+CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
 DBG = 
-DEBIAN_DISTRIBUTION = xenial
-DEBIAN_RELEASE = 1
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = false
-DOCBASE_INSTALL_DOCS = 
+DOCBASE_INSTALL_DOCS = install-docs
 DOXYGEN = 
 DOXYGEN_PAPER_SIZE = 
 DSYMUTIL = 
@@ -269,51 +269,51 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
+EGREP = /bin/grep -E
 ENABLE_SHARED_LIB_FLAG = 1
 ENABLE_USB_FLAG = 1
 EXEEXT = 
-FGREP = /usr/bin/grep -F
-GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include 
-GLIB_LIBS = -lglib-2.0 
+FGREP = /bin/grep -F
+GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
+GLIB_LIBS = -lglib-2.0
 GOBJECT_CFLAGS = 
 GOBJECT_LIBS = 
-GREP = /usr/bin/grep
+GREP = /bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread 
+INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
 INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
 INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
 INTROSPECTION_GIRDIR = /usr/share/gir-1.0
-INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0 
+INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
 INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
 INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
-INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
+INTROSPECTION_TYPELIBDIR = /usr/lib/x86_64-linux-gnu/girepository-1.0
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
-LIBDRM_CFLAGS = -I/usr/include/libdrm 
-LIBDRM_LIBS = -ldrm 
+LIBDRM_CFLAGS = -I/usr/include/libdrm
+LIBDRM_LIBS = -ldrm
 LIBOBJS = 
 LIBS = -ldl 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIBTOOL_DEPS = config/ltmain.sh
-LIBUSB_CFLAGS = -I/usr/include/libusb-1.0 
-LIBUSB_LIBS = -lusb-1.0 
+LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
+LIBUSB_LIBS = -lusb-1.0
 LIBX11_CFLAGS = 
-LIBX11_LIBS = -lX11 
+LIBX11_LIBS = -lX11
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 LT_AGE = 0
-LT_CURRENT = 0
+LT_CURRENT = 2
 LT_REVISION = 0
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /usr/bin/mkdir -p
+MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -323,12 +323,12 @@
 PACKAGE = ddcutil
 PACKAGE_BUGREPORT = rockowitz@minsoft.com
 PACKAGE_NAME = ddcutil
-PACKAGE_STRING = ddcutil 0.9.1
+PACKAGE_STRING = ddcutil 0.9.8
 PACKAGE_TARNAME = ddcutil
 PACKAGE_URL = 
-PACKAGE_VERSION = 0.9.1
+PACKAGE_VERSION = 0.9.8
 PACKAGE_VMAJOR = 0
-PACKAGE_VMICRO = 1
+PACKAGE_VMICRO = 8
 PACKAGE_VMINOR = 9
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
@@ -357,28 +357,29 @@
 PYTHON_VERSION = 
 RANLIB = ranlib
 REQUIRED_PACKAGES =  glib-2.0 >= 2.32 xrandr x11
-SED = /usr/bin/sed
+SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
 SWIG = 
 SWIG_LIB = 
 UDEV_CFLAGS = 
-UDEV_LIBS = -ludev 
-VERSION = 0.9.1
+UDEV_LIBS = -ludev
+VERSION = 0.9.8
 XRANDR_CFLAGS = 
-XRANDR_LIBS = -lXrandr 
+XRANDR_LIBS = -lXrandr
 ZLIB_CFLAGS = 
-ZLIB_LIBS = -lz 
+ZLIB_LIBS = -lz
 abs_builddir = /shared/playproj/i2c/src/cython
 abs_srcdir = /shared/playproj/i2c/src/cython
 abs_top_builddir = /shared/playproj/i2c
 abs_top_srcdir = /shared/playproj/i2c
 ac_ct_AR = ar
-ac_ct_CC = /usr/bin/../libexec/ccc-analyzer
+ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
 am__leading_dot = .
 am__quote = 
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
+bindir = ${exec_prefix}/bin

=== debian/changelog ===
ddcutil (0.9.8-2) unstable; urgency=low

  * debian/control
    - delete Build-Depends: libc6-dev (Closes: 949217)
    - Standards-Version incremented to 4.5.0

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 29 Jan 2020 11:00:00 -0400

ddcutil (0.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 05 Dec 2019 05:00:00 -0400

ddcutil (0.9.7-2) unstable; urgency=low

  * debian/control
    - add Depends: hwdata, for usb.ids and pci.ids (Closes: 944834)

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 17 Nov 2019 21:00:00 -0400

ddcutil (0.9.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 03 Sep 2019 05:00:00 -0400

ddcutil (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - compatibility level incremented to 12
  * debian/control
    - Standards-Version incremented to 4.4.0
    - Build-Depends version of debhelper incremented to 12.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 10 Aug 2019 05:00:00 -0400

ddcutil (0.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 24 Feb 2019 05:00:00 -0400

ddcutil (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Standards-Version incremented to 4.3.0
  * debian/rules
    - delete previously commented out dh_auto_install override

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 25 Dec 2018 05:00:00 -0400

ddcutil (0.9.3-1) unstable; urgency=low

  * New upstream release.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 24 Nov 2018 05:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Priority: optional
 Section: utils
 Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                pkg-config,
-               libc6-dev (>= 2.17),
                libdrm-dev,
                libglib2.0-dev (>= 2.32),
                libudev-dev,
                libusb-1.0-0-dev,
                libxrandr-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://www.ddcutil.com
 
 Package: ddcutil
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         i2c-tools
+         i2c-tools,
+         hwdata
 Description: Control monitor settings
  ddcutil is used to query and change monitor settings.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_configure:
	dh_auto_configure -- --enable-lib=no --enable-drm=yes --enable-usb=yes

## ddcutil 0.9.9

=== src/cython/Makefile ===
--- 
+++ 
@@ -308,7 +308,7 @@
 LN_S = ln -s
 LTLIBOBJS = 
 LT_AGE = 0
-LT_CURRENT = 2
+LT_CURRENT = 3
 LT_REVISION = 0
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
@@ -323,12 +323,12 @@
 PACKAGE = ddcutil
 PACKAGE_BUGREPORT = rockowitz@minsoft.com
 PACKAGE_NAME = ddcutil
-PACKAGE_STRING = ddcutil 0.9.8
+PACKAGE_STRING = ddcutil 0.9.9
 PACKAGE_TARNAME = ddcutil
 PACKAGE_URL = 
-PACKAGE_VERSION = 0.9.8
+PACKAGE_VERSION = 0.9.9
 PACKAGE_VMAJOR = 0
-PACKAGE_VMICRO = 8
+PACKAGE_VMICRO = 9
 PACKAGE_VMINOR = 9
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
@@ -365,7 +365,7 @@
 SWIG_LIB = 
 UDEV_CFLAGS = 
 UDEV_LIBS = -ludev
-VERSION = 0.9.8
+VERSION = 0.9.9
 XRANDR_CFLAGS = 
 XRANDR_LIBS = -lXrandr
 ZLIB_CFLAGS =

=== debian/changelog ===
ddcutil (0.9.9-1) bionic; urgency=low

  * New upstream release

  * debian/compat:
    - change version to 12

  * debian/control:
    - add Rules-Requires-Root: no
    - replace libddcutil2 with libddcutil3

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 21 Jun 2020 09:00:00 -0400

ddcutil (0.9.8-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 05 Dec 2019 05:01:00 -0400

ddcutil (0.9.7-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 03 Sep 2019 05:01:00 -0400

ddcutil (0.9.6-2) xenial; urgency=low

  * Bump release number for resubmission

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 11 Aug 2019 05:01:00 -0400

ddcutil (0.9.6-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 11 Aug 2019 05:01:00 -0400

ddcutil (0.9.5-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 24 Feb 2019 05:01:00 -0400

ddcutil (0.9.4-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 25 Dec 2018 05:01:00 -0400

ddcutil (0.9.3-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 24 Nov 2018 05:01:00 -0400

ddcutil (0.9.2-1) xenial; urgency=low

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 01 Sep 2018 05:01:00 -0400

ddcutil (0.9.1-1) xenial; urgency=low

  * Minor bug fix.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 26 May 2018 05:01:00 -0400

ddcutil (0.9.0-1) xenial; urgency=low

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 10 May 2018 05:01:00 -0400

ddcutil (0.8.6-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 11 Aug 2019 05:01:00 -0400

ddcutil (0.8.5-1) xenial; urgency=low

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 16 Nov 2017 05:01:00 -0400

ddcutil (0.8.4-1) xenial; urgency=low

  * Packaging changes to conform to Fedora distribution standards.

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 22 Jul 2017 05:01:00 -0400

ddcutil (0.8.2-1) xenial; urgency=low

  * The environment and interrogate commands report additional information.

  * Minor performance improvement in detect.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 17 May 2017 05:01:00 -0400

ddcutil (0.8.1-1) xenial; urgency=low

  * Fix segfault in message generation when a /dev/usb/hiddev device cannot
    be opened.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 06 May 2017 21:01:00 -0400

ddcutil (0.8.0-6) unstable; urgency=low

  * Bump Debian release for debian-mentors

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:06:00 -0400

ddcutil (0.8.0-5) unstable; urgency=low

  * Bump Debian release for debian-mentors

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:05:00 -0400

ddcutil (0.8.0-4) unstable; urgency=low

  * Bump Debian release because of failed debian-mentors upload

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:04:00 -0400

ddcutil (0.8.0-3) unstable; urgency=low

  * Bump Debian release because of failed debian-mentors upload

  * Changed xenial to unstable

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:01:00 -0400

ddcutil (0.8.0-2) xenial; urgency=low

  * Bump Debian release because of failed debian-mentors upload

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:00:00 -0400

ddcutil (0.8.0-1) xenial; urgency=low

  * If there are multiple monitors and option --async is specified, initial
    monitor checks are performed in separate threads to improve performance.

  * If a monitor is specified by its I2C bus number (option --buso) and
    option --nodetect is also specified, then the initial scan for all
    displays is skipped, improving performance.

  * By default, setvcp and loadvcp now read the VCP value after it has been
    set, to confirm that the monitor has made the change requested.

  * Using the --terse option with getvcp causes output to be in a form that
    is easily machine readable.

  * Extensive changes to the C API.

  * Minor bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 27 Apr 2017 05:00:00 -0400

ddcutil (0.7.3-1) xenial; urgency=low

  * Enhancements to commands "ddcutil detect --verbose" and
    "ddcutil environment --verbose"

  * configure option --enable-drm controls whether libdrm is used to perform
    addtitional checks in "ddcutil environment --verbose"

  * Improved error messages

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 05 Mar 2017 05:00:00 -0400

ddcutil (0.7.2-1) xenial; urgency=low

  * Fix bug causing termination if a /dev/i2c-n device cannot be opened,
    e.g. because of permissions

  * Minor enhancements to environment and interrogate commands

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 01 Feb 2017 05:00:00 -0400

ddcutil (0.7.1-1) xenial; urgency=low

  * Add command option --force-slave-address

  * Fix segfault in output of --stats

  * Autotools changes for supporting Python 3 API

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 27 Jan 2017 13:00:00 -0400

ddcutil (0.7.0-1) xenial; urgency=low

  * Introduce shared libraries

  * ddcutil probe command

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 02 Jan 2017 20:00:00 -0400

ddcutil (0.6.1-1) xenial; urgency=low

  * Improve diagnostics for exceptional conditions

  * Extensive changes in preparation for C and Python APIs



=== debian/control ===
Source: ddcutil
Priority: optional
Section: utils
Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
Build-Depends: debhelper (>= 9),
               pkg-config,
               libdrm-dev,
               libglib2.0-dev,
               libudev-dev,
               libusb-1.0-0-dev,
               libxrandr-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.github.com/rockowitz/ddcutil
Vcs-Git: https://www.github.com/rockowitz/ddcutil.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ddcutil.git;a=summary

Package: ddcutil
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pci.ids,
         usb.ids,
         usbutils,
         i2c-tools
Description: Control monitor settings - Standalone command line version
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.


Package: libddcutil3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pci.ids,
         usb.ids,
         usbutils
Description: ddcutil - Shared libraries
 This is the shared library version of ddcutil.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.


Package: libddcutil-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libddcutil3 (=${binary:Version})
Description: ddcutil - C development files
 These are the development files for libddcutil.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.


# Future:
# Package libddcutil-python

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# DH_VERBOSE = 1
# export DH_OPTIONS=-v

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Setting DEB_BUILD_MAINT_OPTIONS here works, setting it in rules.dh7 does not
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# config_args=
config_args=--enable-lib=yes --enable-drm=yes --enable-usb=yes
# echo "(debian/rules) config_args=${config_args}"


# main packaging script based on dh7 syntax
%:
	dh $@

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)


override_dh_auto_configure:
	dh_auto_configure -- ${config_args}

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog



# WHERE DOES THIS GO?

# sed snippit that can be included in the debian/rules file of an affected
# package at the end of the install target (aka after the upstream make
# invocation has completed):

# sed -i "/dependency_libs/ s/'.*'/''/"
# "$(CURDIR)/debian/<pkg>/usr/lib/<la-file>"

# --enable-lib=yes

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Dummy watch page to make lintian happy


opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ddcutil-$1\.tar\.gz/ \
   https://github.com/rockowitz/ddcutil/tags .*/v?(\d\S+)\.tar\.gz

# opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ddcutil-$1\.tar\.gz/ \
#    https://github.com/rockowitz/ddcutil/releases .*/(\d\S+)\.tar\.gz

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ddcutil-$1\.tar\.gz/ \
   pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
   https://github.com/rockowitz/ddcutil/releases .*/(\d\S+)\.tar\.gz
